Skip to content

Brands Dictionary

Request

Get a list of brands that match the search query. Results from this endpoint are only valid for AI Search filters. Just like other dictionary endpoints, this endpoints costs nothing and there are no strict rate limits.

Security
accessToken
Query
querystring, [ 1 .. 255 ] characters

Fuzzy search based on brand's name

Example:query=coca cola
domainstring, [ 1 .. 255 ] characters

Exact match based on brand's domain

platformstring

Platform (specify if you want to filter the results by platform)

Enum:"instagram""tiktok""youtube"
Example:platform=instagram
userIdstring, [ 1 .. 255 ] characters

Exact match based on brand's user ID (Instagram,Tiktok,Youtube) or domain

brandIdstring, [ 1 .. 255 ] characters

Exact match based on brand ID (brand identity hash)

GET
/ai/brands
curl -i -X GET \
  'https://api.modash.io/v1/ai/brands?query=coca%20cola&domain=string&platform=instagram&userId=string&brandId=string' \
  -H 'Authorization: Bearer <YOUR_token_HERE>'

Responses

Bodyapplication/json
errorboolean

If there is an error

Example:false
resultArray of objects(BrandsDictionaryBrand)required

List of top 5 brands based on the search query

Response
{ "error": false, "result": [ {} ] }